package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 用户账单对象 fs_user_bill
 * 
 * @author fs
 * @date 2022-04-30
 */
public class FsUserBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户账单id */
    private Long id;

    /** 用户uid */
    @Excel(name = "用户uid")
    private Long userId;

    /** 关联id */
    @Excel(name = "关联id")
    private String businessId;

    /** 明细分类  */
    @Excel(name = "明细分类 ")
    private String category;

    /** 类型 0 = 支出 1 = 获得 */
    @Excel(name = "类型 0 = 支出 1 = 获得")
    private Integer billType;

    /** 明细类型 */
    @Excel(name = "明细类型")
    private String type;

    /** 账单标题 */
    @Excel(name = "账单标题")
    private String title;

    /** 明细数字 */
    @Excel(name = "明细数字")
    private Double number;

    /** 剩余 */
    @Excel(name = "剩余")
    private Double balance;

    /** 0 = 带确定 1 = 有效 -1 = 无效 */
    @Excel(name = "0 = 带确定 1 = 有效 -1 = 无效")
    private Integer status;

    private Long tuiUserId;

    public Long getTuiUserId() {
        return tuiUserId;
    }

    public void setTuiUserId(Long tuiUserId) {
        this.tuiUserId = tuiUserId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Integer getBillType() {
        return billType;
    }

    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getNumber() {
        return number;
    }

    public void setNumber(Double number) {
        this.number = number;
    }

    public Double getBalance() {
        return balance;
    }

    public void setBalance(Double balance) {
        this.balance = balance;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
